
Foreman - Bug #16043

Unable to select all hosts from the GUI

08/10/2016 06:47 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1282558 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4338

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1282558

Description of problem:

I have changed the hosts per page option to 50 but when searching for lots of hosts for group editing I still cannot select > 50 hosts at

a time. There should be a way to select ALL matching hosts from any page for bulk editing.

This becomes very tedious to edit lots of hosts especially when I have multiple thousands of hosts to edit. (e.g. put them into build

mode or change their location)

There is also no easy way to do this via hammer. The only way I could find to do it was to use hammer to search for the hosts I

wanted, save that information to a file, and then loop through the file and run hammer update commands on each one.

Version-Release number of selected component (if applicable):

Satellite 6.1.3

How reproducible:

always

Related issues:

Related to Foreman - Bug #19176: Parameters and plurals incorrectly translate... Closed 04/05/2017

Related to Foreman - Bug #19309: Select all on hosts first page selects hosts... Closed 04/19/2017

Related to Foreman - Bug #19672: Plugins adding host bulk actions are broken ... Closed 05/25/2017

Related to Foreman - Bug #26494: select all on hosts lists does not work as e... Closed

Has duplicate Foreman - Feature #7190: Select All for hosts should select all... Duplicate 08/21/2014

Associated revisions

Revision 13a7bf0d - 04/03/2017 06:52 AM - Amir Fefer

Fixes #16043 - add select all hosts option

Revision 0f49b72b - 04/05/2017 03:04 PM - Amir Fefer

Fixes #16043 - add select all hosts option

(cherry picked from commit 13a7bf0d3ad3445ce82bb2a79b46a2352bb3694b)

History

#1 - 08/10/2016 06:47 AM - Daniel Lobato Garcia

- Target version set to 117

#2 - 08/10/2016 06:50 AM - Dominic Cleal

- Subject changed from Unable to select lots of hosts from the GUI (cannot select > 50 hosts at a time) to Unable to select all hosts from the GUI

- Category set to Web Interface
#3 - 08/10/2016 07:57 AM - Daniel Lobato Garcia

- Target version changed from 117 to 1.6.2

#4 - 09/14/2016 07:17 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.5.2

#5 - 01/18/2017 09:36 AM - Amir Fefer

- Assignee set to Amir Fefer

#6 - 02/26/2017 10:50 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4338 added

#7 - 04/03/2017 07:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 13a7bf0d3ad3445ce82bb2a79b46a2352bb3694b.

#8 - 04/05/2017 09:36 AM - Dominic Cleal

- Has duplicate Feature #7190: Select All for hosts should select all, not just the current page added

#9 - 04/05/2017 09:43 AM - Dominic Cleal

- Related to Bug #19176: Parameters and plurals incorrectly translated in select all hosts related strings added

#10 - 04/05/2017 11:04 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 209

#11 - 04/19/2017 04:20 AM - Tomer Brisker

- Related to Bug #19309: Select all on hosts first page selects hosts on other pages added

#12 - 05/25/2017 10:03 AM - Marek Hulán

- Related to Bug #19672: Plugins adding host bulk actions are broken in Foreman 1.15 added

#13 - 03/31/2019 07:24 AM - Ohad Levy

- Related to Bug #26494: select all on hosts lists does not work as expected added
